package com.njcn.common.pojo.enums.common;

import lombok.Getter;

/**
 * @author hongawen
 * @version 1.0.0
 * @date 2021年07月07日 15:37
 */
@Getter
public enum LogEnum {

    /**
     * 日志类型分为业务事件、系统事件
     * 严重度分为 严重 中等 普通
     */
    BUSINESS_SERIOUS("业务事件", "严重"),
    BUSINESS_MEDIUM("业务事件", "中等"),
    BUSINESS_COMMON("业务事件", "普通"),

    SYSTEM_SERIOUS("系统事件", "严重"),
    SYSTEM_MEDIUM("系统事件", "中等"),
    SYSTEM_COMMON("系统事件", "普通");


    private final String operateType;

    private final String operateLevel;

    LogEnum(String operateType, String operateLevel) {
        this.operateType = operateType;
        this.operateLevel = operateLevel;
    }


}
